include:
  - project: nexus-mods/devops/ci/nexus-auto-devops
    file: /Release.gitlab-ci.yml
  - project: nexus-mods/devops/ci/nexus-auto-devops
    file: /Build.gitlab-ci.yml
  - project: nexus-mods/devops/ci/nexus-auto-devops
    file: /CodeQuality.gitlab-ci.yml

build:
  rules:
    - if: $BUILD_DISABLED
      when: never
    - if: $AUTO_DEVOPS_PLATFORM_TARGET == "EC2"
      when: never
    - when: always

docker_lint:
  stage: build
  image: hadolint/hadolint:latest-debian
  script:
    # Ignoring DL3008 - Pin Versions of apt-get modules
    - hadolint --ignore DL3008 --ignore DL3028 Dockerfile
  tags:
    - nexus_runner
